| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLInteger Class Reference

`#include <XMLInteger.hpp>`

List of all members.

## Public Methods

| XMLInteger (const int intVal)
| Constructs a newly allocated `XMLInteger` object. More...
| ~XMLInteger ()
int | intValue ()const
| Returns the built in integer value.

## Constructor & Destructor Documentation

XMLInteger::XMLInteger ( | const int intVal )

Constructs a newly allocated `XMLInteger` object.

Parameters:

  intVal | the `integer`

XMLInteger::~XMLInteger ( | )

## Member Function Documentation

int XMLInteger::intValue ( | ) const

| Returns the built in integer value.

The documentation for this class was generated from the following file:

- XMLInteger.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.